[Fai-commit] r5679 - people/michael/experimental/patches

Michael Tautschnig mt at alioth.debian.org
Sun Nov 22 20:05:31 UTC 2009


Author: mt
Date: 2009-11-22 20:05:20 +0000 (Sun, 22 Nov 2009)
New Revision: 5679

Added:
   people/michael/experimental/patches/bugfix-514160
   people/michael/experimental/patches/bugfix-556082
   people/michael/experimental/patches/bugfix-556168
Removed:
   people/michael/experimental/patches/setup-storage_lvm-preserve-bugfix
Modified:
   people/michael/experimental/patches/grub-pc
   people/michael/experimental/patches/series
   people/michael/experimental/patches/setup-storage_exp-version
   people/michael/experimental/patches/setup-storage_full-crypto-support
Log:
- Removed lvm-preserve patch as it has been included in trunk
- updated patches to match current trunk
- added bugfix patches


Added: people/michael/experimental/patches/bugfix-514160
===================================================================
--- people/michael/experimental/patches/bugfix-514160	                        (rev 0)
+++ people/michael/experimental/patches/bugfix-514160	2009-11-22 20:05:20 UTC (rev 5679)
@@ -0,0 +1,25 @@
+2009-11-22  Michael Tautschnig  <mt at debian.org>
+
+	* install_packages: Added zypper support (thanks Thomas Neumann for the
+		patch). (closes: #514160)
+Index: trunk/bin/install_packages
+===================================================================
+--- trunk.orig/bin/install_packages
++++ trunk/bin/install_packages	
+@@ -69,7 +69,7 @@
+ 
+ 
+ # @commands is the order of the commands that are executed
+-our @commands = qw/y2i y2r yast rpmr urpmi urpme yumgroup yumi yumr smarti smartr hold taskrm taskinst clean-internal aptitude aptitude-r install unpack remove dselect-upgrade/;
++our @commands = qw/y2i y2r zypper yast rpmr urpmi urpme yumgroup yumi yumr smarti smartr hold taskrm taskinst clean-internal aptitude aptitude-r install unpack remove dselect-upgrade/;
+ %command = (
+           "install" => "apt-get $aptopt --fix-missing install",
+     "inst-internal" => "apt-get $aptopt --fix-missing -s install",
+@@ -90,6 +90,7 @@
+ 	     "yumi" => "yum -y install",
+ 	     "yumr" => "yum -y remove",
+         "yumgroup"  => "yum -y groupinstall",
++	  "zypper"  => "zypper -n install",
+ 	     "y2i"  => "y2pmsh isc",
+ 	     "y2r"  => "y2pmsh remove",
+ 	     "yast" => "yast -i",

Added: people/michael/experimental/patches/bugfix-556082
===================================================================
--- people/michael/experimental/patches/bugfix-556082	                        (rev 0)
+++ people/michael/experimental/patches/bugfix-556082	2009-11-22 20:05:20 UTC (rev 5679)
@@ -0,0 +1,17 @@
+2009-11-22  Michael Tautschnig  <mt at debian.org>
+
+	* control: Build-dep-indep on asciidoc (>= 8.3) | lynx in addition to asciidoc
+		to ensure proper build on lenny systems. (closes: #556082)
+Index: trunk/debian/control
+===================================================================
+--- trunk.orig/debian/control
++++ trunk/debian/control	
+@@ -4,7 +4,7 @@
+ Maintainer: Thomas Lange <lange at debian.org>
+ Uploaders: Holger Levsen <holger at debian.org>
+ Standards-Version: 3.8.3
+-Build-Depends-Indep: asciidoc, w3m, dblatex, docbook-xsl
++Build-Depends-Indep: asciidoc, asciidoc (>= 8.3) | lynx, w3m, dblatex, docbook-xsl
+ Build-Depends: debhelper (>= 7)
+ Vcs-Svn: svn://svn.debian.org/svn/fai/trunk
+ Vcs-Browser: http://svn.debian.org/wsvn/fai

Added: people/michael/experimental/patches/bugfix-556168
===================================================================
--- people/michael/experimental/patches/bugfix-556168	                        (rev 0)
+++ people/michael/experimental/patches/bugfix-556168	2009-11-22 20:05:20 UTC (rev 5679)
@@ -0,0 +1,30 @@
+2009-11-22  Michael Tautschnig  <mt at debian.org>
+
+	* fai-vol_id: Use blkid by default, use vol_id -L to obtain volume label when
+		using vol_id (thanks Klaus Ethgen). (closes: #556168)
+Index: trunk/lib/fai-vol_id
+===================================================================
+--- trunk.orig/lib/fai-vol_id
++++ trunk/lib/fai-vol_id	
+@@ -21,7 +21,7 @@
+     exit $?
+   fi
+ 
+-  /lib/udev/vol_id -l $1
++  /lib/udev/vol_id -L $1
+   exitcode=$?
+   if [ $exitcode -eq 0 -o $exitcode -eq 3 ] ; then
+     exitcode=0
+@@ -32,9 +32,10 @@
+ 
+ # main program
+ 
+-if [ ! -e $udev_vol_id ] ; then
++if [ -e $udev_blkid ] ; then
+   udev_vol_id=""
+-  if [ ! -e $udev_blkid ] ; then
++else
++  if [ ! -e $udev_vol_id ] ; then
+     "Neither udev vol_id nor blkid found!"
+     exit 1
+   fi

Modified: people/michael/experimental/patches/grub-pc
===================================================================
--- people/michael/experimental/patches/grub-pc	2009-11-17 15:23:24 UTC (rev 5678)
+++ people/michael/experimental/patches/grub-pc	2009-11-22 20:05:20 UTC (rev 5679)
@@ -7,7 +7,7 @@
 ===================================================================
 --- trunk.orig/Makefile
 +++ trunk/Makefile	
-@@ -46,6 +46,7 @@
+@@ -47,6 +47,7 @@
  	install -p -m644 pixmaps/*.gif $(DESTDIR)/usr/share/fai/pixmaps
  	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai
  	cp -a examples $(DOCDIR)
@@ -19,30 +19,30 @@
 ===================================================================
 --- trunk.orig/examples/simple/package_config/DEFAULT
 +++ trunk/examples/simple/package_config/DEFAULT	
-@@ -17,7 +17,10 @@
+@@ -17,10 +17,10 @@
  dhcp3-client
  
  PACKAGES aptitude GRUB
 -grub lilo-
 +grub lilo- grub-pc-
  
+ PACKAGES aptitude GRUB_PC
+ grub-pc grub- lilo-
+ 
  PACKAGES aptitude LILO
 -lilo grub-
 +lilo grub- grub-pc-
-+
-+PACKAGES aptitude GRUB_PC
-+grub-pc grub- lilo-
 Index: trunk/examples/simple/scripts/GRUB_PC/10-setup
 ===================================================================
---- /dev/null	1970-01-01 00:00:00.000000000 +0000
+--- trunk.orig/examples/simple/scripts/GRUB_PC/10-setup
 +++ trunk/examples/simple/scripts/GRUB_PC/10-setup	
-@@ -0,0 +1,26 @@
-+#! /bin/bash
-+
-+error=0 ; trap "error=$((error|1))" ERR
-+
-+set -a
-+
+@@ -2,8 +2,23 @@
+ 
+ error=0 ; trap "error=$((error|1))" ERR
+ 
+-$ROOTCMD grub-mkdevicemap -n -m /boot/grub/device.map
+-$ROOTCMD grub-mkconfig -o /boot/grub/grub.cfg
+-$ROOTCMD grub-install --no-floppy "(hd0)"
 +# during softupdate use this file
 +[ -r $LOGDIR/disk_var.sh ] && . $LOGDIR/disk_var.sh
 +
@@ -60,6 +60,6 @@
 +$ROOTCMD /usr/sbin/grub-install --modules="ext2 _chain pc gpt biosdisk lvm raid serial" "($grub_dev)"
 +$ROOTCMD /usr/sbin/grub-setup   "($grub_dev)"
 +$ROOTCMD /usr/sbin/update-grub
+ 
+ exit $error
 +
-+exit $error
-+

Modified: people/michael/experimental/patches/series
===================================================================
--- people/michael/experimental/patches/series	2009-11-17 15:23:24 UTC (rev 5678)
+++ people/michael/experimental/patches/series	2009-11-22 20:05:20 UTC (rev 5679)
@@ -5,4 +5,6 @@
 bugfix-479537
 setup-storage_full-crypto-support
 setup-storage_no-cylinder-boundaries
-setup-storage_lvm-preserve-bugfix
+bugfix-514160
+bugfix-556082
+bugfix-556168

Modified: people/michael/experimental/patches/setup-storage_exp-version
===================================================================
--- people/michael/experimental/patches/setup-storage_exp-version	2009-11-17 15:23:24 UTC (rev 5678)
+++ people/michael/experimental/patches/setup-storage_exp-version	2009-11-22 20:05:20 UTC (rev 5679)
@@ -9,8 +9,8 @@
  
  package FAI;
  
--my $version = "1.1.2";
-+my $version = "1.1.2+exp";
+-my $version = "1.1.4";
++my $version = "1.1.4+exp";
  
  # command line parameter handling
  use Getopt::Std;

Modified: people/michael/experimental/patches/setup-storage_full-crypto-support
===================================================================
--- people/michael/experimental/patches/setup-storage_full-crypto-support	2009-11-17 15:23:24 UTC (rev 5678)
+++ people/michael/experimental/patches/setup-storage_full-crypto-support	2009-11-22 20:05:20 UTC (rev 5679)
@@ -91,7 +91,7 @@
 ===================================================================
 --- trunk.orig/lib/setup-storage/Fstab.pm
 +++ trunk/lib/setup-storage/Fstab.pm	
-@@ -167,12 +167,8 @@
+@@ -168,12 +168,8 @@
          # skip extended partitions and entries without a mountpoint
          next if ($p_ref->{size}->{extended} || $p_ref->{mountpoint} eq "-");
  
@@ -106,7 +106,7 @@
  
          # if the mount point is / or /boot, the variables should be set, unless
          # they are already
-@@ -219,9 +215,7 @@
+@@ -220,9 +216,7 @@
  
          my $device_name = "/dev/$device/$l";
          if ($l_ref->{encrypt}) {
@@ -117,7 +117,7 @@
          } else {
            $device_name = $fstab_key[0];
          }
-@@ -251,12 +245,7 @@
+@@ -252,12 +246,7 @@
          # skip entries without a mountpoint
          next if ($r_ref->{mountpoint} eq "-");
  

Deleted: people/michael/experimental/patches/setup-storage_lvm-preserve-bugfix
===================================================================
--- people/michael/experimental/patches/setup-storage_lvm-preserve-bugfix	2009-11-17 15:23:24 UTC (rev 5678)
+++ people/michael/experimental/patches/setup-storage_lvm-preserve-bugfix	2009-11-22 20:05:20 UTC (rev 5679)
@@ -1,36 +0,0 @@
-2009-11-09  Michael Tautschnig  <mt at debian.org>
-
-	* setup-storage/Parser.pm: Preserved logical volumes do not induce a
-		definition of the volume group.
-Index: trunk/lib/setup-storage/Parser.pm
-===================================================================
---- trunk.orig/lib/setup-storage/Parser.pm
-+++ trunk/lib/setup-storage/Parser.pm	
-@@ -499,7 +499,7 @@
-           # set $FAI::device to VG_$1
-           $FAI::device = "VG_$1";
-           # make sure, the volume group $1 has been defined before
--          defined ($FAI::configs{$FAI::device}) or 
-+          defined ($FAI::configs{$FAI::device}{devices}) or
-             die "Volume group $1 has not been declared yet.\n";
-           # make sure, $2 has not been defined already
-           defined ($FAI::configs{$FAI::device}{volumes}{$2}{size}{range}) and 
-@@ -536,13 +536,15 @@
-           # set the device name to VG_ and the name of the volume group
-           $FAI::device = "VG_$1";
-           # make sure, the volume group $1 not has been defined already
--          defined ($FAI::configs{$FAI::device}) and
-+          defined ($FAI::configs{$FAI::device}{devices}) and
-             die "Volume group $1 has been defined already.\n";
-           # make sure this line is part of an LVM configuration
-           ($FAI::device =~ /^VG_/) or
-             die "vg is invalid in a non LVM-context.\n";
--          # initialise the new hash
--          $FAI::configs{$FAI::device}{volumes} = {};
-+          # initialise the new hash unless some preserve/define already created
-+          # it
-+          defined($FAI::configs{$FAI::device}{volumes}) or
-+            $FAI::configs{$FAI::device}{volumes} = {};
-           # initialise the list of physical devices
-           $FAI::configs{$FAI::device}{devices} = ();
-           # the rule must not return undef




More information about the Fai-commit mailing list